Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0051786
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementcriticalalways2023-03-07 10:012023-07-24 15:21
Reporterphilippe_muiView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0051786: AWO [DO OTF] [RM-5614] Click on "filter by" breaks the scan on PDA

DescriptionOn AWO, when using a PDA and scanning items to add them, it is not possible to do after pressing "Filter by" button

Actual result : scans are not taken into account after pressing "filter by"

Expected result : scanner should work even after pressing "filter by"

See video : https://drive.google.com/file/d/1H9klDBsQZ0iG-lJM0l3Msv26dNKlrx2p/view?usp=share_link [^]

https://openbravo.atlassian.net/browse/RM-5614 [^]
Steps To ReproduceOn AWO, on a PDA, Create a DO
Scan an item's barcode
Click on “Filter by”
Scan again items

New scans should be taken into account
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0053047 newTriage Omni WMS Modules (Sychronization) Inconsistent Available Stock Quantity in DO Line when scanning & Filter By : All or Pending To Complete 

-  Notes
(0147693)
mtaal (manager)
2023-03-20 10:16

Updated the expiry date as it is not considered urgent by the customer
(0151278)
hgbot (developer)
2023-06-16 14:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/75 [^]
(0151279)
AtulOpenbravo (developer)
2023-06-16 14:46

Test Plan

- Login in AWO Front End
- Create a DO OTF.
- Add few products to DO.
- Apply Filter By field as Pending to Complete.
- Scan product using its UPC.
- Realize that scan is successful and product gets added.
- Apply Filter By field as All.
- Scan product using its UPC.
- Realize that scan is successful and product gets added.
(0151284)
hgbot (developer)
2023-06-19 00:54

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/75 [^]
(0151285)
hgbot (developer)
2023-06-19 00:54

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders [^]
Changeset: 11e3049740d9a470d329ac207645cde61fafc949
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 18-06-2023 22:54:08
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/commit/11e3049740d9a470d329ac207645cde61fafc949 [^]

Fixes BUG-0051786: AWO [DO OTF] [RM-5614] Click on "filter by" breaks the scan on PDA

---
M web/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/source/obawo-distributionorder-view.js
---
(0151566)
hgbot (developer)
2023-06-23 14:03

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/76 [^]
(0152772)
hgbot (developer)
2023-07-21 10:02

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/82 [^]
(0152848)
hgbot (developer)
2023-07-24 15:21

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders [^]
Changeset: b948073b3567d0246dfd0d76c3fead5b94d5a943
Author: Agustí Gállego <agusti.gallego@openbravo.com>
Date: 24-07-2023 13:21:07
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/commit/b948073b3567d0246dfd0d76c3fead5b94d5a943 [^]

Fixed ISSUE-51786: Changed inner filter workings to avoid deleting DOlines upon synchronization

---
M web/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/source/obawo-distributionorder-view.js
---
(0152849)
hgbot (developer)
2023-07-24 15:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations.distributionorders/-/merge_requests/82 [^]

- Issue History
Date Modified Username Field Change
2023-03-07 10:01 philippe_mui New Issue
2023-03-07 10:01 philippe_mui Assigned To => Triage Omni WMS
2023-03-07 10:01 philippe_mui Modules => Core
2023-03-07 10:01 philippe_mui Triggers an Emergency Pack => No
2023-03-07 10:02 philippe_mui Summary [DO OTF] Click on the filter breaks the scanner => AWO [DO OTF] Click on "filter by" breaks the scan on PDA
2023-03-17 13:43 migueldejuana Assigned To Triage Omni WMS => migueldejuana
2023-03-20 10:16 mtaal Note Added: 0147693
2023-04-24 15:30 mtaal Assigned To migueldejuana => AtulOpenbravo
2023-04-24 15:30 mtaal Summary AWO [DO OTF] Click on "filter by" breaks the scan on PDA => AWO [DO OTF] [RM-5614] Click on "filter by" breaks the scan on PDA
2023-04-24 15:30 mtaal Description Updated View Revisions
2023-06-16 14:43 hgbot Note Added: 0151278
2023-06-16 14:44 AtulOpenbravo Status new => scheduled
2023-06-16 14:46 AtulOpenbravo Note Added: 0151279
2023-06-19 00:54 hgbot Note Added: 0151284
2023-06-19 00:54 hgbot Resolution open => fixed
2023-06-19 00:54 hgbot Status scheduled => closed
2023-06-19 00:54 hgbot Note Added: 0151285
2023-06-21 06:43 AtulOpenbravo Status closed => new
2023-06-21 06:43 AtulOpenbravo Resolution fixed => open
2023-06-21 06:43 AtulOpenbravo Status new => scheduled
2023-06-23 14:03 hgbot Note Added: 0151566
2023-07-21 10:02 hgbot Note Added: 0152772
2023-07-24 15:14 AtulOpenbravo Relationship added related to 0053047
2023-07-24 15:21 hgbot Resolution open => fixed
2023-07-24 15:21 hgbot Status scheduled => closed
2023-07-24 15:21 hgbot Note Added: 0152848
2023-07-24 15:21 hgbot Note Added: 0152849


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker